/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.servicemix.examples.cxf.receive;

import org.apache.cxf.wsn.client.NotificationBroker;
import org.apache.cxf.wsn.client.Subscription;
import org.osgi.framework.ServiceReference;
import javax.xml.transform.dom.DOMSource;


public class Subscriber {

    private String endPoint;
    private Subscription subscription;
    private NotificationBroker notificationBroker;
    private String topic;
    private DOMSource lala;

    public Subscriber() {
    }

    public void setEndPoint(String endPoint) {
        this.endPoint = endPoint;
    }

    public void setNotificationBroker(ServiceReference reference) {
        this.notificationBroker = new NotificationBroker((String)reference.getProperty("address"));
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public void init() throws Exception {
       subscription = notificationBroker.subscribe(new Subscription(endPoint),topic);
    }

    public void destroy() throws Exception {
       subscription.unsubscribe();
    }
}
